Subject: RE: no PPP connection at all?

From: "Johnson, Gregory LCDR" <[email-masked]>
Date: Mon, 2 Nov 1998 12:31:51 -0500

Arndt-
I did some testing on PPP over satellite links while at the Coast Guard R&D
Center (http://comms.rdc.uscg.mil/    look for the links for the OWL
project). We were using dial-up (PPP) connections over Inmarsat and AMSC
into a Comms server located at the R&D Center. These are both GEO satellite
systems. The r/t delay for the Inmarsat-A system was around 1 sec (avg.) and
for the AMSC system around 1.4 sec (avg.). I used two different
communications servers: a Sonic QUICKSTREAM and a SHIVA LANrover. I used
identical modems on both servers. The Quickstream would allow connections
regardless of the delay. However, while using the AMSC satellite system we
were not able to reliably connect up with the SHIVA server due to the long
delay. When I captured and reviewed the PPP stream, it appeared that the
problem was in the SPAP authentication which I was not able to disable on
the server. 

So the short answer is yes, some PPP implementations can have problems with
long delays.

On the web site above you will also find reports of testing PPP and TCP/IP
over Inmarsat Mini-M and AMSC systems.

Greg Johnson
LCDR Gregory W. Johnson
Ass't Prof. Electrical Engineering
USCG Academy
Engineering Department

> -----Original Message-----
> From:	Arndt Ritterbecks [SMTP:[email-masked]]
> Sent:	Friday, October 30, 1998 7:57 AM
> To:	TCP-SAT
> Subject:	no PPP connection at all?
> 
> Hello,
> 
> although the main concern of this mailinglist is TCP over satellite,
> I have a question that could be interesting also for others.
> 
> Can it happen that it is impossible to establish a PPP connection 
> over one or more satellite links? Maybe this is more a theoretical
> question but let's imagine that there are more than two (geostati-
> onary) satellite hops involved. Furthermore, if RLP is used, this 
> can add to additional delays due to resending. This all could lead 
> to huge roundtrip times which are much higher than the usual 
> 0.5-0.6 seconds. (Further delays due to possible interleaving 
> not counted)
> 
> Are there any timers in PPP which could expire so that no PPP
> connection can be established? (Even if the timers are con-
> figurable there are usually default values.)
> 
> Best regards,
> Arndt